﻿
 Get-Counter '\Processor(_total)\% Processor Time' -Continuous -SampleInterval 1



 #Show MessageBox
[System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms") 
[System.Windows.Forms.MessageBox]::Show("Powershell at MSUGS, Yay!")



#Show Balloon Notification
$objNotifyIcon = New-Object System.Windows.Forms.NotifyIcon 
$objNotifyIcon.Icon = "D:\icon.ico"
$objNotifyIcon.BalloonTipIcon = "Warning" 
$objNotifyIcon.BalloonTipText = "MSUGS is powered by the SHELL!" 
$objNotifyIcon.BalloonTipTitle = "Hellouuu MSUGS"
$objNotifyIcon.Visible = $True 
$objNotifyIcon.ShowBalloonTip(10000)




#webservices
$uri = 'http://www.webservicex.net/geoipservice.asmx?WSDL'
$g = New-WebServiceProxy -Uri $uri -Namespace ws
$g.GetGeoIP('213.131.66.246');
$g.GetGeoIPContext();




$uri = 'http://www.webservicex.net/stockquote.asmx?WSDL'
$proxy = New-WebServiceProxy -Uri $uri -Namespace ws
$proxy.GetQuote('MSFT')

[XML] $stock = $proxy.GetQuote('MSFT')

$stock.InnerXml
$stock.StockQuotes.Stock


#inspecting Web Requests
$web = Invoke-WebRequest http://www.msugs.ch

$web.BaseResponse
$web.BaseResponse.Cookies
$web.Images | Select-Object src
$web.Links | select -Property innerText, href




